#ifndef CURCHATWIDGET_H
#define CURCHATWIDGET_H
#include <QWidget>
#include <QPainter>
#include <QMouseEvent>
#include <QPoint>
#include <QtMath>

/*
    des: 趋势图
*/
class  CurChatWidget: public QWidget
{
    Q_OBJECT
public:
    explicit  CurChatWidget(QWidget * parent =nullptr);
    virtual   ~CurChatWidget() ;

private:
    /*
        des: 画xy轴 画虚线
    */
    void    painteXY(QPainter & painter);

    void paintEvent(QPaintEvent *) override;

};
#endif // CURCHATWIDGET_H
